# Using the SDK

To add the echo3D Python SDK to your Python script, include the following import:

```python
from echo3d_api import *
```

To initialize the SDK run:

```python
api = Echo3DAPI(api_key=args.api_key, security_key=args.security_key)
```

To retrieve information on the 3D models in your project use:

```python
model_list = api.retrieve_model_info()
```

To retrieve a list of the 3D models in your project use:

```
api.entries
```

To retrieve a specific entry ID use:

```
api.retrieve(entry) 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/python/using-the-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
